Skip to main content
GET
/
companies
/
{companyId}
/
agent
Get current company agent state
curl --request GET \
  --url https://app.hockeystack.com/api/revenue-agents/v1/companies/{companyId}/agent \
  --header 'Authorization: Bearer <token>'
{
  "company_id": "<string>",
  "agent_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_synced_at": "2023-11-07T05:31:56Z",
  "job_id": "<string>",
  "progress_stream_url": "<string>",
  "failed_at": "2023-11-07T05:31:56Z",
  "error": "<string>",
  "retry_with": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

companyId
string
required

CRM company (account) ID.

Required string length: 1 - 64

Response

Current agent state.

Polymorphic agent-state envelope. See AgentState for status semantics.

company_id
string
required
status
enum<string>
required
Available options:
active,
initializing,
provisioning_failed
agent_id
string | null
created_at
string<date-time> | null
last_synced_at
string<date-time> | null
job_id
string | null
progress_stream_url
string
failed_at
string<date-time> | null
error
string | null
retry_with
string